Subject: Re: [Fwd: -qa / -qi problem]
From: Jason Tishler <[email-masked]>
To: Doru Carastan <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 2 Aug 2001 15:22:11 -0400

Doru,

In the future, please post to [email-masked] instead of sending
private email so others can benefit too.

On Wed, Aug 01, 2001 at 04:02:03PM -0700, Doru Carastan wrote:
> I just sent this message to the RPM list. Is your RPM port working fine?
> Mine has some problems. It is happening on both Linux and Cygwin
> platforms for versions > 4.0-4.

Sorry, but I have only used my Cygwin rpm port in a very casual way.
Actually, I have only "viewed" RPMs with it -- I never installed any
packages with it.

Anyway, the following is the output for the same command sequence in your
email to the RPM list:

    $ rpm --version
    RPM version 4.0.2
    $ rpm -qa
    $ rpm -qa
    $ rpm -q less
    error: cannot open Name index using db3 - No such file or directory (2)
    package less is not installed
    $ rpm -q -i less
    error: cannot open Name index using db3 - No such file or directory (2)
    package less is not installed
    $ rpm -q --info less
    error: cannot open Name index using db3 - No such file or directory (2)
    package less is not installed

Hence, my port seems to handle -qa and -qi or not having anything
installed is masking problems.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/